Name:           eazykeyboard
Version:        2.0
Release:        3%{?dist}
Summary:        A simple onscreen keyboard

Group:          User Interface/Desktops 
License:        GPLv2+ and MIT
URL:            http://code.google.com/p/eazykeyboard/
Source0:        http://eazykeyboard.googlecode.com/files/%{name}_%{version}.orig.tar.gz
Patch0:         %{name}-%{version}-1-dso-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel automake desktop-file-utils

%description
Eazykeyboard provides a simple onscreen keyboard that can be used to type
with keyboard or mouse into application windows. It is useful for physically
impaired people and who are unfamiliar with certain keyboard layout.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1 -b .orig
#Fix absolute paths
sed -i 's|/usr/bin/eazykeyboard|eazykeyboard|g' %{name}.desktop
sed -i 's|/usr/share/pixmaps/onscreenkeyboard.png|onscreenkeyboard|g' %{name}.desktop
autoreconf -if
chmod -x src/*.{c,h} AUTHORS README COPYING


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' 
desktop-file-install \
        --vendor="" \
        --remove-key="Encoding" \
        --add-category="GTK;Accessibility;" \
        --dir=%{buildroot}%{_datadir}/applications \
        %{name}.desktop
#Icon installation
install -Dpm 0644 onscreenkeyboard.png \
        $RPM_BUILD_ROOT%{_datadir}/pixmaps/onscreenkeyboard.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/eazykeyboard
%{_datadir}/eazykeyboard/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/onscreenkeyboard.png

%changelog
*Tue Aug 03 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 2.0-3
- Fixed a small error

*Mon Aug 02 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 2.0-2
- Fix some permissions

*Mon Jul 19 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 2.0-1
- Initial Build
